﻿using System.Collections.ObjectModel;

namespace TestProject
{
    /// <summary>
    /// 사람명 컬렉션
    /// </summary>
    public class PersonNameCollection : ObservableCollection<PersonName>
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - PersonNameCollection()

        /// <summary>
        /// 생성자
        /// </summary>
        public PersonNameCollection()
        {
            Add(new PersonName("Willa" , "Cather" ));
            Add(new PersonName("Isak"  , "Dinesen"));
            Add(new PersonName("Victor", "Hugo"   ));
            Add(new PersonName("Jules" , "Verne"  ));
        }

        #endregion
    }
}